package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.SanFabricModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 光纤交换机操作接口
 *
 * @author lkx007
 */
public interface FabricProvider extends SuperProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default public BocloudResult create(SanFabricModel model) {
        return new BocloudResult(false, "need implement");
    }

    default public BocloudResult modify(SanFabricModel model) {
        return new BocloudResult(false, "need implement");
    }

    default public BocloudResult remove(String name) {
        return new BocloudResult(false, "need implement");
    }

    default public BocloudResult detail(String name) {
        return new BocloudResult(false, "need implement");
    }
}
